Bug 423968 - Display TODOs from project in a panel
Summary: Display TODOs from project in a panel
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: application (show other bugs)
Version: 20.04.1
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-07 13:08 UTC by me
Modified: 2021-03-18 18:25 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 21.08


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description me 2020-07-07 13:08:57 UTC
SUMMARY
Feature request: collect TODOs from a project, display them in a panel.
See how intellij IDEs do it, it's very handy.
Comment 1 Nate Graham 2020-07-07 19:38:02 UTC
This is such a great idea!
Comment 2 Bug Janitor Service 2021-03-16 18:06:04 UTC
A possibly relevant merge request was started @ https://invent.kde.org/utilities/kate/-/merge_requests/343
Comment 3 Kåre Särs 2021-03-18 16:24:20 UTC
Git commit 44d042510abee92630012d1a2104dbfa46529948 by Kåre Särs, on behalf of Waqar Ahmed.
Committed on 18/03/2021 at 16:21.
Pushed by sars into branch 'master'.

Add a widget to view projects TODOs/FIXMEs in project info toolview

M  +1    -0    addons/project/CMakeLists.txt
M  +12   -0    addons/project/kateprojectinfoview.cpp
A  +114  -0    addons/project/kateprojecttodoview.cpp  *
A  +28   -0    addons/project/kateprojecttodoview.h  *

The files marked with a * at the end have a non valid license. Please read: https://community.kde.org/Policies/Licensing_Policy and use the headers which are listed at that page.


https://invent.kde.org/utilities/kate/commit/44d042510abee92630012d1a2104dbfa46529948